import type { _NSArray } from "./NSArray.js";
import type { _NSCopying } from "./NSCopying.js";
import type { _NSObject } from "./NSObject.js";
import type { _NSSecureCoding } from "./NSSecureCoding.js";
import type { _NSString } from "./NSString.js";
export declare class _NSMorphologyCustomPronoun extends _NSObject {
    static alloc(): _NSMorphologyCustomPronoun;
    static new(): _NSMorphologyCustomPronoun;
    init(): _NSMorphologyCustomPronoun;
    static isSupportedForLanguage$(language: _NSString): boolean;
    static requiredKeysForLanguage$(language: _NSString): _NSArray;
    subjectForm(): _NSString | null;
    setSubjectForm$(value: _NSString | null): void;
    objectForm(): _NSString | null;
    setObjectForm$(value: _NSString | null): void;
    possessiveForm(): _NSString | null;
    setPossessiveForm$(value: _NSString | null): void;
    possessiveAdjectiveForm(): _NSString | null;
    setPossessiveAdjectiveForm$(value: _NSString | null): void;
    reflexiveForm(): _NSString | null;
    setReflexiveForm$(value: _NSString | null): void;
}
export interface _NSMorphologyCustomPronoun extends _NSCopying, _NSSecureCoding {
}
